cURL
curl --request POST \
--url https://api.comm.com/api/v1/sms/rate-parser/files/{file}/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mcc": 1,
"rate": 1,
"mnc": 1,
"country": 1,
"brand_name": 1,
"operator_name": 1
}
'import requests
url = "https://api.comm.com/api/v1/sms/rate-parser/files/{file}/preview"
payload = {
"mcc": 1,
"rate": 1,
"mnc": 1,
"country": 1,
"brand_name": 1,
"operator_name": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mcc: 1, rate: 1, mnc: 1, country: 1, brand_name: 1, operator_name: 1})
};
fetch('https://api.comm.com/api/v1/sms/rate-parser/files/{file}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logs": {
"line_no": 123,
"event_type": "<string>",
"old_rate": 123,
"new_rate": 123,
"country_name": "<string>",
"network": {
"mcc": "<string>",
"mnc": "<string>",
"brand_name": "<string>",
"operator_name": "<string>"
},
"fail_reason": "<string>",
"row": [
"<unknown>"
]
},
"stats": {
"rate_created": 123,
"rate_updated": 123,
"rate_deleted": 123,
"rate_failed": 123,
"network_created": 123,
"network_updated": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}RateParser
Post v1smsrate parserfiles preview
POST
/
v1
/
sms
/
rate-parser
/
files
/
{file}
/
preview
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The file ID
Body
application/json
PriceParserColumnsDataRequest
⌘I